### Method

# ECal ComponentId set_rid

since: 3.34

#### Declaration [src]

    void
    e_cal_component_id_set_rid (
      ECalComponentId* id,
      const gchar* rid
    )

#### Description [src]

Sets the RECURRENCE-ID part of the `id`. The `rid` can be `NULL` or an empty string, where both are treated as `NULL`, which means the `id` has not RECURRENCE-ID.

Available since: 3.34

#### Parameters

`rid`

  Type: `const gchar*`

  The RECURRENCE-ID to set.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.